=== src/CMakeLists.txt ===
include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory( KChart )
ecm_optional_add_subdirectory( KGantt )
