=== examples/TernaryCharts/CMakeLists.txt ===
add_subdirectory(Advanced)
