=== debian/control ===
Source: kdiagram2
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends:
 cmake (>= 3.10.0~),
 debhelper-compat (= 13),
 extra-cmake-modules (>= 5.60.0~),
 libqt5svg5-dev,
 qtbase5-dev (>= 5.12.0~),
 qttools5-dev,
 qttools5-dev-tools,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdiagram.git -b 2.x
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiagram/-/tree/2.x
Homepage: https://invent.kde.org/graphics/kdiagram

Package: libkchart2-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkchart2 (= ${binary:Version}),
 libqt5svg5-dev,
 qtbase5-dev (>= 5.2),
 ${misc:Depends}
Conflicts: libkchart-dev
Description: library for creating business charts (development files)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkchart2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libkchart-l10n
Description: library for creating business charts (shared library)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkgantt2-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkgantt2 (= ${binary:Version}),
 qtbase5-dev (>= 5.2),
 ${misc:Depends}
Conflicts: libkgantt-dev
Description: library for creating Gantt diagrams (development files)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkgantt2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libkgantt2-l10n
Description: library for creating Gantt diagrams (shared library)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the shared library.
