=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=ON

override_dh_auto_test-arch:
	xvfb-run -a dh_auto_test -a

execute_after_dh_auto_install:
	# the translations conflict with newer version of kdiagram,
	# so do not ship them
	rm -rf debian/tmp/usr/share/locale/
