=== debian/watch ===
# no more versions for qt5
